package io.renren.modules.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.business.entity.BusinessTotalEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 计划总结信息
 * 
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-30 22:18:10
 */
@Mapper
public interface BusinessTotalDao extends BaseMapper<BusinessTotalEntity> {

    /**
     * 所有未删除的总结的列表
     * @return
     */
    List<BusinessTotalEntity> selectTotalAll(Map<String, Object> params);

    /**
     * 根据总结时间获取立项信息
     * @param time
     * @return
     */
    List<BusinessTotalEntity> getListByTime(@Param("time") String time);

    /**
     * 今日总结 总结时间
     * @return
     */
    List<String> getTimeList();

    /**
     * 根据立项id获取所有的总结列表
     */
    List<BusinessTotalEntity> getListByProjectId(@Param("projectId") String projectId);

    /**
     * 审批不通过
     * @param approvalId
     */
    void updateNoPassByIds(String approvalId);

    /**
     * 审批
     * @param param
     */
    void updateTotalAuditNew(Map<String, Object> param);

    /**
     * 详情包含关联信息
     * @param totalId
     * @return
     */
    BusinessTotalEntity getByIdNew(@Param("totalId") Integer totalId);
    
    /**
     * 总结列表
     * @param params
     */
    List<BusinessTotalEntity> totalList(Map<String, Object> params);

    /**
     * 未提交
     * @return
     */
    List<BusinessTotalEntity> getUncommittedList();
}
